#ifndef MEMBER_VARIABLE_SPECIFICATION
#define MEMBER_VARIABLE_SPECIFICATION

#include <MObject.h>
#include <list>

class GenericProductionContext;
class MemberVariableSpecificationWidget;

class MemberVariableSpecification : public MObject // class_id 100008
{
	public:
	
		MemberVariableSpecification(const unsigned int );
		MemberVariableSpecification();
		virtual ~MemberVariableSpecification() {};

		const char * get_key() const;
		
		void dummy() {};

		      
		// !=! Warning: By putting this as static we may encounter problems when parsing an object that !=!
		// !=! has a reference to an object of the same class ... !=!
		// Problem should be corrected with a queue, but be careful
		
		//static MemberVariableSpecificationLoadHandler load_handler;
		static const unsigned int class_id = 100008;
		
		// This really needs to be a PRef later
		unsigned int variable_class_id; // link_id 10001
		
		// unsigned int variable_class_version; // should we specify a version ? Or should it always point to latest version?
		// For now it will point to the latest version of the variable stored on disk, this is anyway valid only for persistent variables...
		// Should we suppress the type_code and subclass MemberVariableSpecification ? Maybe... ok I will do that
		unsigned int variable_link_id; // link_id 10002
		
		// This is used in the hosting class to link a number to a specific variable.
		// unsigned int variable_type_code; not needed as we will subclass MVS
		
};



#endif
