#ifndef MEMBER_VARIABLE_SPECIFICATION_SERIALIZATION
#define MEMBER_VARIABLE_SPECIFICATION_SERIALIZATION

#include <MemberVariableSpecification.h>

#include <CommonSerialize.h>

#include <boost/serialization/export.hpp>

namespace boost {
namespace serialization {

template<class Archive>
void save(Archive & ar, const MemberVariableSpecification & m, const unsigned int version);

template<class Archive>
void load(Archive & ar, MemberVariableSpecification & m, const unsigned int version);


}
}


BOOST_CLASS_TYPE_INFO(MemberVariableSpecification, extended_type_info_no_rtti<MemberVariableSpecification>)

BOOST_CLASS_EXPORT(MemberVariableSpecification)

BOOST_SERIALIZATION_SPLIT_FREE(MemberVariableSpecification)

#endif
